aboutsummaryrefslogtreecommitdiff
path: root/.kokoro
diff options
context:
space:
mode:
authorCharles Engelke <github@engelke.com>2018-11-07 11:21:50 -0800
committerThea Flowers <theaflowers@google.com>2018-11-07 11:21:50 -0800
commit8d4051b8cb923699f0f72bb938e4b3e093afa3b8 (patch)
tree18efb8cae547d4f3679e27f688f3bf9f6fb3ed02 /.kokoro
parenta10b15e34447a35cedd0f73654b13404999141b5 (diff)
downloadgoogle-auth-library-python-8d4051b8cb923699f0f72bb938e4b3e093afa3b8.tar.gz
Update trampoline.sh (#302)
Clean up temp files at exit.
Diffstat (limited to '.kokoro')
-rwxr-xr-x.kokoro/trampoline.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/.kokoro/trampoline.sh b/.kokoro/trampoline.sh
index 6e293e6..fef7c24 100755
--- a/.kokoro/trampoline.sh
+++ b/.kokoro/trampoline.sh
@@ -1,5 +1,4 @@
#!/bin/bash
-
# Copyright 2017 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
@@ -14,4 +13,16 @@
# See the License for the specific language governing permissions and
# limitations under the License.
+set -eo pipefail
+
+# Always run the cleanup script, regardless of the success of bouncing into
+# the container.
+
+function cleanup() {
+ chmod +x ${KOKORO_GFILE_DIR}/trampoline_cleanup.sh
+ ${KOKORO_GFILE_DIR}/trampoline_cleanup.sh
+ echo "cleanup";
+}
+trap cleanup EXIT
+
python3 "${KOKORO_GFILE_DIR}/trampoline_v1.py"